/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.platform.dto.user;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Size;
import java.io.Serializable;

/**
* Restful接口--资源详情--数据传输对象：用户角色关系
*
* createdate:  2021-01-20 13:18:42  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "用户角色关系")
public class CltUserRoleDetailDto implements Serializable
{
  /**
   * 用户角色关系ID<br>
   */
  @ApiModelProperty("用户角色关系ID")
  @Size(max = 32, message="用户角色关系ID-id: 数据长度不能 > 32" )
  private String id;
  /**
   * 用户ID<br>
   */
  @ApiModelProperty("用户ID")
  @Size(max = 32, message="用户ID-userId: 数据长度不能 > 32" )
  private String userId;
  /**
   * 角色ID<br>
   */
  @ApiModelProperty("角色ID")
  @Size(max = 32, message="角色ID-roleId: 数据长度不能 > 32" )
  private String roleId;

  @ApiModelProperty("用户名称")
  private String userName;

  @ApiModelProperty("角色名称")
  private String roleName;

  @ApiModelProperty("角色等级")
  private String roleLevel;

  @ApiModelProperty(value = "用户登录名")
  private String loginNo;

  private String orgName;

  public String getOrgName() {
    return orgName;
  }

  public void setOrgName(String orgName) {
    this.orgName = orgName;
  }

  public String getId()
  {
    return id;
  }

  public void setId(String id)
  {
    this.id = id;
  }

  public String getRoleId()
  {
    return roleId;
  }

  public void setRoleId(String roleId)
  {
    this.roleId = roleId;
  }

  public String getUserId()
  {
    return userId;
  }

  public void setUserId(String userId)
  {
    this.userId = userId;
  }

  public String getUserName()
  {
    return userName;
  }

  public void setUserName(String userName)
  {
    this.userName = userName;
  }

  public String getRoleName()
  {
    return roleName;
  }

  public void setRoleName(String roleName)
  {
    this.roleName = roleName;
  }

  public String getRoleLevel() {
    return roleLevel;
  }

  public void setRoleLevel(String roleLevel) {
    this.roleLevel = roleLevel;
  }

  public String getLoginNo() {
    return loginNo;
  }

  public void setLoginNo(String loginNo) {
    this.loginNo = loginNo;
  }
}